Scatter plot with D3, using the newer margin convention pattern of setting the domain of the scales relative to the SVG, rather than utilizing an additional `<g>` element translated by the top and left margin.

Makes use of [Rollup](https://vizhub.com/forum/t/how-to-set-up-rollup/184/3) so that we can author the code using ES modules.

Inspired by the patterns found in [Observable: D3 Charts](https://observablehq.com/collection/@d3/charts).

I personally prefer the [old margin convention](https://vizhub.com/curran/1768a1e7f18d47fa81600df72f0987a8), because it's simpler to reason about (you can isolate the thinking around `innerWidth` and `innerHeight`, rather than always considering `margin.top`, `margin.right`, `margin.bottom`, and `margin.left`).